#!/bin/bash
set -e
curl -sSL -o mdbook.tar.gz https://github.com/rust-lang/mdBook/releases/download/v0.4.40/mdbook-v0.4.40-x86_64-unknown-linux-gnu.tar.gz
curl -sSL -o mdbook-mermaid.tar.gz https://github.com/badboy/mdbook-mermaid/releases/download/v0.14.0/mdbook-mermaid-v0.14.0-x86_64-unknown-linux-gnu.tar.gz
sha256sum -c <<EOF
37364965fb190cf9929d93c930c6b6c69b2fed05f7658ea2d312882ed59c645e  mdbook-mermaid.tar.gz
9ef07fd288ba58ff3b99d1c94e6d414d431c9a61fdb20348e5beb74b823d546b  mdbook.tar.gz
EOF
mkdir -p bin
echo "*" > bin/.gitignore
tar -xz --directory=./bin -f mdbook.tar.gz
tar -xz --directory=./bin -f mdbook-mermaid.tar.gz
